# SPDX-License-Identifier: GPL-2.0
# Copyright (C) 2020 Wang Nan <pi3orama@163.com>

# Default target when cmdline is empty
PHONY := _all
_all:

ifeq ($(kbuild_stage),)
  abs_kbuildtree	:= $(realpath $(dir $(lastword $(MAKEFILE_LIST))))
  abs_srctree		:= $(realpath $(dir $(firstword $(MAKEFILE_LIST))))
  abs_top_makefile	:= $(realpath $(firstword $(MAKEFILE_LIST)))
  export abs_kbuildtree abs_srctree abs_top_makefile

  include $(abs_kbuildtree)/Makefile.head
  include $(abs_kbuildtree)/Makefile.output
  kbuild_stage := 1
  export kbuild_stage
else
  kbuild_stage := 2
  export kbuild_stage
  include $(abs_kbuildtree)/Makefile.env
  include $(abs_kbuildtree)/Makefile.prepare
  include $(abs_kbuildtree)/Makefile.main
endif

PHONY += FORCE
FORCE:
.PHONY: $(PHONY)
